function init(hero) {
    hero.setName("Captain America");
    hero.setTier(8);
      
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:captain_americas_shield");
    
    hero.addPowers("fiskheroes:super_soldier_serum", "fiskheroes:shield_throwing");
	
    hero.addAttribute("WEAPON_DAMAGE", 10.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 14.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.75, 0);
    hero.addAttribute("SPRINT_SPEED", 1.0, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
   hero.addKeyBind("SHIELD_THROW", "key.shieldThrow", 1);
    hero.setHasPermission(hasPermission);
}

function hasPermission(entity, permission) {
    return permission == "USE_SHIELD";
}
